### Method

# Gio DtlsClientConnection get_accepted_cas

since: 2.48

#### Declaration [src]

    GList*
    g_dtls_client_connection_get_accepted_cas (
      GDtlsClientConnection* conn
    )

#### Description [src]

Gets the list of distinguished names of the Certificate Authorities that the server will accept certificates from. This will be set during the TLS handshake if the server requests a certificate. Otherwise, it will be `NULL`.

Each item in the list is a `GByteArray` which contains the complete subject DN of the certificate authority.

Available since: 2.48

Gets property | `Gio.DtlsClientConnection:accepted-cas`

#### Return value

Type: `GList`

The list of CA DNs. You should unref each element with `g_byte_array_unref()` and then the free the list with g_list_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.